<!--
*Author：jxx
 *Contact：283591387@qq.com
 *代码由框架生成,任何更改都可能导致被代码生成器覆盖
 *业务请在@/extension/widesea_wcs/order/Dt_StockInfoDetail_Hty.js此处编写
 -->
<template>
  <view-grid
    ref="grid"
    :columns="columns"
    :detail="detail"
    :editFormFields="editFormFields"
    :editFormOptions="editFormOptions"
    :searchFormFields="searchFormFields"
    :searchFormOptions="searchFormOptions"
    :table="table"
    :extend="extend"
  ></view-grid>
</template>
<script>
import extend from "@/extension/wmsPart/stockInfoDetail_Hty.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
  setup() {
    const table = ref({
      key: "id",
      footer: "Foots",
      cnName: "历史库存信息明细",
      name: "stockInfoDetail_Hty",
      url: "/StockInfoDetail_Hty/",
      sortName: "id"
    });
    const editFormFields = ref({});
    const editFormOptions = ref([]);
    const searchFormFields = ref({});
    const searchFormOptions = ref([]);
    const columns = ref([
      {
        field: "id",
        title: "主键",
        type: "int",
        width: 110,
        hidden: true,
        readonly: true,
        require: true,
        align: "left"
      },
      {
        field: "stockId",
        title: "库存信息主键",
        type: "int",
        width: 110,
        require: true,
        align: "left",
        sort: true
      },
      {
        field: "materielCode",
        title: "物料编号",
        type: "string",
        width: 110,
        require: true,
        align: "left"
      },
      {
        field: "materielName",
        title: "物料名称",
        type: "string",
        width: 180,
        require: true,
        align: "left"
      },
      {
        field: "orderNo",
        title: "单据编号",
        type: "string",
        width: 110,
        require: true,
        align: "left"
      },
      {
        field: "batchNo",
        title: "批次号",
        type: "string",
        width: 110,
        require: true,
        align: "left"
      },
      {
        field: "serialNumber",
        title: "序列号",
        type: "string",
        width: 120,
        require: true,
        align: "left"
      },
      {
        field: "stockQuantity",
        title: "库存数量",
        type: "decimal",
        width: 110,
        require: true,
        align: "left"
      },
      {
        field: "outboundQuantity",
        title: "出库数量",
        type: "decimal",
        width: 110,
        require: true,
        align: "left"
      },
      {
        field: "status",
        title: "库存明细状态",
        type: "int",
        width: 110,
        require: true,
        align: "left"
      },
      {
        field: "remark",
        title: "备注",
        type: "string",
        width: 220,
        align: "left"
      },
      {
        field: "sourceId",
        title: "源主键",
        type: "int",
        width: 110,
        require: true,
        align: "left"
      },
      {
        field: "operateType",
        title: "备注",
        type: "string",
        width: 110,
        require: true,
        align: "left"
      },
      {
        field: "creater",
        title: "创建人",
        type: "string",
        width: 110,
        require: true,
        align: "left"
      },
      {
        field: "createDate",
        title: "创建时间",
        type: "datetime",
        width: 150,
        require: true,
        align: "left",
        sort: true
      },
      {
        field: "modifier",
        title: "修改人",
        type: "string",
        width: 100,
        align: "left"
      },
      {
        field: "modifyDate",
        title: "修改日期",
        type: "datetime",
        width: 150,
        align: "left",
        sort: true
      }
    ]);
    const detail = ref({
      cnName: "#detailCnName",
      table: "#detailTable",
      columns: [],
      sortName: "",
      key: ""
    });
    return {
      table,
      extend,
      editFormFields,
      editFormOptions,
      searchFormFields,
      searchFormOptions,
      columns,
      detail
    };
  }
});
</script>
